Bug 60700 - after upgrade to 1024MB SMP kernel fails, UP still ok
Summary: after upgrade to 1024MB SMP kernel fails, UP still ok
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-04 22:56 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot messages for SMP kernel from kernel-smp-2.4.9-13.i686.rpm on 512MB (20.55 KB, text/plain)
2002-03-04 23:06 UTC, Need Real Name
no flags Details
boot messages for UP kernel from kernel-2.4.9-13.i686.rpm with 1024MB RAM (11.12 KB, text/plain)
2002-03-04 23:08 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-03-04 22:56:21 UTC
A netfinity 4500R worked ok with 512 MB for two months with the 2.4.9-13 SMP kernel.

Today we added another 512 MB (again IBM ECC memory) because the server was
getting a little busy.
It booted the default SMP kernel alright but apparently the "fsck -T -a
$fsckoptions /"
failed since we were dropped into a shell. Which we found strange because
normally ext3
would handle these situations in the background ...

Trying to run fsck.ext3 from this shell on any filesystem (I tried the one where 
/opt was mounted) resulted in an immediate segmentation violation.
Booting the SMP kernel second time over it hung completely on `Checking root
filesystem'

Because of the segv I thought the memory was the culprit but:
o We booted the 2.4.9-13 UP kernel and it has been running ok for six+ hours now
  and it doesn't exhibit any problems so far. It went some 100MB into swap.

o The extra memory was one IBM ECC 512MB DIMM from another netfinity 4500R
  to which we added it six months ago and which has been running fine with it for
  six months or so, lately with kernel-2.2.19-6.2.10.i686.rpm ...

Unfortunately this is a production system so we cannot just take it down
and do all sorts of tests ..
  
I'll attach UP (with 1024MB) kernel boot messages and SMP (with 512MB) kernel boot 
messages below.  I do not have a log of the boot messages during the segv
mentioned above
ie SMP with 1024 MB, but AFAICT they where the normal messages.

Do you have any idea ?

Comment 1 Need Real Name 2002-03-04 23:06:21 UTC
Created attachment 47380 [details]
boot messages for SMP kernel from kernel-smp-2.4.9-13.i686.rpm on 512MB

Comment 2 Need Real Name 2002-03-04 23:08:10 UTC
Created attachment 47381 [details]
boot messages for UP kernel from kernel-2.4.9-13.i686.rpm with 1024MB RAM

Comment 3 Arjan van de Ven 2002-03-05 10:36:06 UTC
"WARNING: MP table in the EBDA can be UNSAFE" is the only odd bit in the logs.
Could you see if giving the option "mem=800M" as kernel command line option
fixes it? (it's still strange, since UP works...)
same for "noapic"

Comment 4 Bugzilla owner 2004-09-30 15:39:24 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.